#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long long n,x;
    long long k=0;
    cin>>n;
    cin>>x;
    long long a[n];
    for (long long i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for (long long i=0;i<n;i++)
    {
        if (a[i]>x)
        {
            k=k+abs(a[i]-x);
            x=a[i];
        }
        else
        {
            k=k+abs(x-a[i]);
            x=a[i];
        }
    }
    cout<<k;
    return 0;
}